using SewingDressesContracts.BindingModels;
using SewingDressesContracts.ViewModels;
using System.Collections.Generic;

namespace SewingDressesContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportDressComponentViewModel> GetDressComponent();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        void SaveComponentsToWordFile(ReportBindingModel model);
        void SaveDressComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
